Bug 1311618 (CVE-2015-7825)

Summary: CVE-2015-7825 botan: infinite loop during certificate path validation
Product: [Other] Security Response Reporter: Andrej Nemec <anemec>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: thomas.moschny
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: botan 1.11.22 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-01-31 16:54:47 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Andrej Nemec 2016-02-24 15:33:34 UTC
When evaluating a certificate path, if a loop in the certificate chain was encountered (for instance where C1 certifies C2, which certifies C1) an infinite loop would occur eventually resulting in memory exhaustion.

External references:

http://botan.randombit.net/security.html

Comment 1 Thomas Moschny 2016-04-29 18:34:05 UTC
CVE-2015-7825 only affects 1.11.X for 6<=X<22.

In Fedora/EPEL, we have 1.8.X and 1.10.X (i.e. stable) versions.